import java.awt.Image;
import java.util.ArrayList;

public class Animation {
	
	private ArrayList scenes;
	private int sceneindex;
	private long movietime;
	private long totaltime;
	
	public Animation(){
		scenes = new ArrayList();
		sceneindex = 0;
		start();
		
	}
	
	public synchronized void addScene(Image i,long t){
		totaltime += t;
		scenes.add(new OneScene(i,totaltime));
	}
	public synchronized void start(){
		movietime = 0;
		sceneindex = 0;
	}
	public synchronized void update(long timepassed){
		if(scenes.size() > 1){
			movietime += timepassed;
			if(movietime >= totaltime){
				movietime = 0;
				sceneindex = 0;
			}
			while(movietime > getScene(sceneindex).endtime){
				sceneindex++;
			}
		}
	}
	public synchronized Image getImage(){
		if(scenes.size() == 0){
			return null;
		}else{
			return getScene(sceneindex).pic;
		}
	}
	private OneScene getScene(int x){
		return (OneScene)scenes.get(x);
	}
	
	private class OneScene{
		Image pic;
		long endtime;
		
		public OneScene(Image pic, long endtime){
			this.pic = pic;
			this.endtime = endtime;
		}
	}
}
