import java.awt.*;
import javax.swing.ImageIcon;
import javax.swing.JFrame;

public class Main {
	
	public static void main(String[] args){
		Main m = new Main();
		m.run();
	}
	
	private Animation a;
	private ScreenManager s;
	private Image bg;	
	private static final DisplayMode modes1[] = {
		new DisplayMode(1176,664,32,0),
		new DisplayMode(1176,664,24,0),
		new DisplayMode(1176,664,16,0),
		new DisplayMode(1280,764,32,0),
		new DisplayMode(1280,764,24,0),
		new DisplayMode(1280,764,16,0),
		new DisplayMode(800,600,32,0),
		new DisplayMode(800,600,24,0),
		new DisplayMode(800,600,16,0),
		new DisplayMode(640,480,32,0),
		new DisplayMode(640,480,24,0),
		new DisplayMode(640,480,16,0),
	};
	
	public void loadImages(){
		bg = new ImageIcon("C:\\ProgramImages\\Back.png").getImage();
		Image face1 = new ImageIcon("C:\\ProgramImages\\face.png").getImage();
		Image face2 = new ImageIcon("C:\\ProgramImages\\face1.png").getImage();
		
		a = new Animation();
		a.addScene(face1, 250);
		a.addScene(face2, 250);
	}
	public void run(){
		s = new ScreenManager();
		try{
			DisplayMode dm = s.findFirstCompatibleMode(modes1);
			s.setFull(dm);
			loadImages();
			movieLoop();
		}finally{
			s.restoreScreen();
		}
		
	}
	public void movieLoop(){
		long startingtime = System.currentTimeMillis();
		long ttime = startingtime;
		while(ttime - startingtime > 10000){
			long timepassed = System.currentTimeMillis() - ttime;
			ttime += timepassed;
			a.update(timepassed);
			Graphics2D g = s.getGraphics();
			draw(g);
			g.dispose();
			s.update();
			try{
				Thread.sleep(10);
			}catch(Exception e){};
		}
		
	}
	public void draw(Graphics g){
		g.drawImage(bg, 0, 0, null);
		g.drawImage(a.getImage(), 0, 0, null);
	}
	
}
